<!DOCTYPE HTML>
<!--
	Theory by TEMPLATED
	templated.co @templatedco
	Released for free under the Creative Commons Attribution 3.0 license (templated.co/license)
-->
<html>
	<head>
		<title>L'idée</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<link rel="stylesheet" href="assets/css/main.css" />
		<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon">
		<link rel="icon" href="images/favicon.ico" type="image/x-icon">
	</head>
	<body class="subpage">

		<!-- Header -->
		<header id="header">
			<div class="inner">
				<a href="index.html" class="logo">Notre Jeu</a>
				<nav id="nav">
					<a href="idee.html">Idée et conception</a>
					<a href="implementation.html">Implémentation</a>
					<a href="amelioration.html">Futures améliorations</a>
					<a href="compilation.html">Compilation</a>
					<a href="jouer.html">Commment jouer</a>
				</nav>
				<a href="#navPanel" class="navPanelToggle"><span class="fa fa-bars"></span></a>
			</div>
		</header>


		<!-- Main -->
			<section id="main" class="wrapper">
				<div class="inner">
					<header class="align-center">
						<h2>L'origine de : Heroes Tower Defense</h2>
						<p> L'idée derrière ce jeu et la conception</p>
					</header>

				<!-- Content -->
					<h2 id="content">L'origine</h2>
					<p>Ce projet a été développé dans le cadre d'un projet scolaire, à  CY Tech, l'ensemble des membres du groupe aimant les univers à superhéros, ainsi que les Tower Defense, nous avons eu envie de développé ce jeu.</p>
					<div class="row">
						<div class="6u 12u$(small)">
							<h3>Les Heroes</h3>
							<img src="images/heroes.png" alt="heroes" />

							<p> De gauche à droite : Green Lizard, Wildclaw, Felinya, Kylor, Ragnar.<br>
								Nos héros, les Heroes, ont été crées par nous même que ce soit les personnages ou les sprites. Leurs buts ? Les enemis ont fait venir leurs copies d'univers parrallèles, il faudra en empếcher un maximum de passer la carte.</p>
						</div>
						<div class="6u 12u$(small)">
							<h3>Les enemis</h3>
							<img src="images/enemis.png" alt="enemis" />
							<p> De gauche à droite : Titan, Mal, Devil, Droid.<br>
								Les enemis ont été crées par nous même que ce soit les personnages ou les sprites. L'animation est traité via un système de spritesheet. Chaque vague est générée avec certaines contraintes de façon aléatoire. Le nombre de vague est théoriquement illimités.</p>
						</div>
						<div class="6u 12u$(small)">
							<h3>Le système d'attaque</h3>
							<p>Nous souhaitions développer un système d'attaque et d'attaques spéciales ayant une certaines probabilitées d'arriver, nous souhaitions aussi introduire un système de résistance de certains enemis à certaines attaques spéciales.</p>
						</div>
						<div class="6u 12u$(small)">
							<h3>Le système de niveau</h3>
							<p> Un point clé pour nous était le système de niveau, en jeu la tour devait avoir plusieurs niveaux possibles, augmentant ses compétences et ayant un impact visuel sur celle-ci.</p>
						</div>
						<div class="6u 12u$(small)">
							<h3>Le système anti-triche</h3>
							<p> Beaucoup de joueurs essaient parfois de tricher en modifiant leurs donées de jeu, pour empêcher ceci, nous avons implémenté un système anti-triche, vérifiant que les données n'ont pas été modifiées.</p>
						</div>
						<div class="6u 12u$(small)">
							<h3>La génération de carte et de chemin</h3>
							<p> Un des points clés pour nous était aussi la génération de carte avec différentes textures de map, différentes textures de terrain par texture de map (avec certains ratio moyens), ainsi qu'un chemin crée de façon procédurale en essayant de maximiser la proximité aux cases constructibles. </p>
						</div>
						<div class="6u 12u$(small)">
							<h3>La génération de vague</h3>
							<p> Afin de ne pas avoir de fin au jeu, nous avons choisi de rendre la génération de vague par contraintes ainsi il n'y a pas de niveau de vague maximal !</p>
						</div>
						<div class="6u 12u$(small)">
							<h3>L'utilisateur</h3>
							<p> Nous voulions que l'utilisateur ai des statistiques, puisse voir ses meilleurs scores, son nombre de partie, etc.</p>
						</div>
						<div class="6u 12u$(small)">
							<h3>L'arbre technologique</h3>
							<p> Nous voulions un système d'améliorations des tours de façon durable, car nous trouvions cela important pour la durabilitée du jeu.</p>
						</div>
					</div>
				</div>
			</section>

		<!-- Footer -->
			<footer id="footer">
				<div class="inner">
					<div class="flex">
						<div class="copyright">
							&copy; Heroes Tower Defense. Design with <a href="https://templated.co">TEMPLATED</a>, made by Jordan Rey-Jouanchicot.
						</div>
					</div>
				</div>
			</footer>

		<!-- Scripts -->
			<script src="assets/js/jquery.min.js"></script>
			<script src="assets/js/skel.min.js"></script>
			<script src="assets/js/util.js"></script>
			<script src="assets/js/main.js"></script>

	</body>
</html>